Summary: A utility for removing files based on when they were last accessed.
Name: tmpwatch
Version: 2.9.0
Release: 3tr
Source: tmpwatch-%{version}.tar.gz
License: GPL
Group: Trustix Official
BuildRoot: /var/tmp/%{name}-root

%description
The tmpwatch utility recursively searches through specified
directories and removes files which have not been accessed in a
specified period of time.  Tmpwatch is normally used to clean up
directories which are used for temporarily holding files (for example,
/tmp).  Tmpwatch ignores symlinks, won't switch filesystems and only
removes empty directories and regular files.

%prep
%setup -q

%build
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"
make ROOT=$RPM_BUILD_ROOT SBINDIR=%{_sbindir} MANDIR=%{_mandir} install

( cd $RPM_BUILD_ROOT
  mkdir -p ./etc/cron.daily
  echo '/usr/sbin/tmpwatch 240 /tmp' \
	>> ./etc/cron.daily/tmpwatch
  echo '/usr/sbin/tmpwatch 720 /var/tmp' \
	>> ./etc/cron.daily/tmpwatch
  echo '[ -d /var/catman ] && /usr/sbin/tmpwatch -f 240 /var/catman/{cat?,local/cat?}' \
	>> ./etc/cron.daily/tmpwatch
  chmod +x ./etc/cron.daily/tmpwatch
)

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_sbindir}/tmpwatch
%{_mandir}/man8/tmpwatch.8*
%config(noreplace) /etc/cron.daily/tmpwatch

%changelog
* Thu Dec 05 2003 Nico Erfurth <masta at trustix dot org> 2.9.0-1ne
- New upstream version: 2.9.0

* Wed Jun 18 2003 Erlend Midttun <erlendbm at trustix dot com> 2.8.4-3tr
- Big rebuild

* Sat Jul 27 2002 Gerald Dachs <gda at trustix dot org> 2.8.4-1gd
- New upstream version: 2.8.4

* Tue Jul 16 2002 Christian H. Toldnes <christht at trustix dot com> 2.7.1-2ct
- rebuild for tsl 2.0

* Tue Jun 12 2001 Oystein Viggen <oysteivi at trustix dot com>
- New upstream version: 2.7.1

* Wed Dec 20 2000 Oystein Viggen <oysteivi at trustix dot com>
- Don't attempt to clean X11-stuff, as we don't have any.

* Thu Oct 26 2000 Tore Olsen <toreo at trustix dot com>
- tmpwatch cron script checks if /var/catman exists before trying to run.
- improved the way man pages are installed to /usr/share/man.

* Mon Oct 09 2000 Oystein Viggen <oysteivi at trustix dot com>
- Update to version 2.6.2

* Tue Feb 29 2000 Lars Gaarden <larsg at trustix dot com>
- moved man page to /usr/share/man, FHS

* Wed Feb 02 2000 Cristian Gafton <gafton@redhat.com>
- fix description
- man pages are compressed

* Tue Jan 18 2000 Preston Brown <pbrown@redhat.com>
- null terminal opt struct (#7836)
- test flag implies verbose (#2383)

* Wed Jan 12 2000 Paul Gear <paulgear@bigfoot.com>
- HP-UX port (including doco update)
- Tweaked Makefile to allow installation into different base directory
- Got rid of GETOPT_... defines which didn't do anything, so that short
  equivalents for all long options could be defined.
- Fixed bug in message() where 'where' file handle was set but unused
- Changed most fprintf() calls to message()

* Mon Aug 30 1999 Preston Brown <pbrown@redhat.com>
- skip lost+found directories
- option to use file's atime instead of mtime (# 4178)

* Mon Jun  7 1999 Jeff Johnson <jbj@redhat.com>
- cleanup more man pages, this time adding in cvs (#224).

* Thu Apr 08 1999 Preston Brown <pbrown@redhat.com>
- I am the new maintainer
- fixed cleanup of directories
- added --quiet flag
- freshen manpage
- nice patch from Kevin Vajk <kvajk@ricochet.net> integrated

* Wed Jun 10 1998 Erik Troan <ewt@redhat.com>
- make /etc/cron.daily/tmpwatch executable

* Tue Jan 13 1998 Erik Troan <ewt@redhat.com>
- version 1.5
- fixed flags passing
- cleaned up message()

* Wed Oct 22 1997 Erik Troan <ewt@redhat.com>
- added man page to package
- uses a buildroot and %attr
- fixed error message generation for directories
- fixed flag propagation

* Mon Mar 24 1997 Erik Troan <ewt@redhat.com>
- Don't follow symlinks which are specified on the command line
- Added a man page

* Sun Mar 09 1997 Erik Troan <ewt@redhat.com>
- Rebuilt to get right permissions on the Alpha (though I have no idea
  how they ended up wrong).
